# GET /WorkApps/{workAppId}/CustomFields

## GET /api/v1/WorkApps/{workAppId}/CustomFields

> Returns a paginated list of available Custom Fields for a specific Work App.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"WorkAppCustomFieldViewModelV1PaginatedResponseViewModel":{"required":["data","links"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/WorkAppCustomFieldViewModelV1"},"description":"The list of entities in the current page of the result."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"A set of related pagination URLs such as the next or previous page."}},"additionalProperties":false,"description":"Paginated response for a list of entities and pagination-related links."},"WorkAppCustomFieldViewModelV1":{"required":["id","name","type"],"type":"object","properties":{"id":{"type":"string","description":"Id of the custom field.","format":"uuid"},"name":{"minLength":1,"type":"string","description":"Name defined by the user for the custom field."},"type":{"minLength":1,"type":"string","description":"Custom Field type."},"required":{"type":"boolean","description":"Custom field is required to have a value."},"value":{"type":"string","description":"Value for the WorkApp Custom Field.","nullable":true},"guidValue":{"type":"string","description":"Guid when the field stores or resolves a Guid (for example person user id, select option id, or calculated prio).","format":"uuid","nullable":true}},"additionalProperties":false,"description":"Information about a custom field to a work app, including basic info and value."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/WorkApps/{workAppId}/CustomFields":{"get":{"tags":["WorkApps"],"summary":"Returns a paginated list of available Custom Fields for a specific Work App.","parameters":[{"name":"workAppId","in":"path","description":"The Work App's unique identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"cursor","in":"query","description":"Optional pagination cursor for fetching the next page of results.\nRefer to the pagination section in the documentation for usage details.","schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/WorkAppCustomFieldViewModelV1PaginatedResponseViewModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/WorkAppCustomFieldViewModelV1PaginatedResponseViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/WorkAppCustomFieldViewModelV1PaginatedResponseViewModel"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```

## The WorkAppCustomFieldViewModelV1PaginatedResponseViewModel object

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"components":{"schemas":{"WorkAppCustomFieldViewModelV1PaginatedResponseViewModel":{"required":["data","links"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/WorkAppCustomFieldViewModelV1"},"description":"The list of entities in the current page of the result."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"A set of related pagination URLs such as the next or previous page."}},"additionalProperties":false,"description":"Paginated response for a list of entities and pagination-related links."},"WorkAppCustomFieldViewModelV1":{"required":["id","name","type"],"type":"object","properties":{"id":{"type":"string","description":"Id of the custom field.","format":"uuid"},"name":{"minLength":1,"type":"string","description":"Name defined by the user for the custom field."},"type":{"minLength":1,"type":"string","description":"Custom Field type."},"required":{"type":"boolean","description":"Custom field is required to have a value."},"value":{"type":"string","description":"Value for the WorkApp Custom Field.","nullable":true},"guidValue":{"type":"string","description":"Guid when the field stores or resolves a Guid (for example person user id, select option id, or calculated prio).","format":"uuid","nullable":true}},"additionalProperties":false,"description":"Information about a custom field to a work app, including basic info and value."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."}}}}
```
